Itoo Software Forum

Author Topic: Can't open old scenes when using 6.1.1  (Read 162 times)

SC1490

  • Newbie
  • *
  • Posts: 2
Can't open old scenes when using 6.1.1
« on: August 21, 2018, 01:11:51 PM »
Using 3ds Max 2017. My Xrefs load, then Max just hangs indefinitely.

If I uninstall 6.1.1 and and reinstall Forestpack 5.4.0 (the version of Forestpack I'd used in the scenes), they load fine.

Any ideas? Because right now I've bought a plugin that I can't use  :(

iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3351
    • iToo Software
Re: Can't open old scenes when using 6.1.1
« Reply #1 on: August 21, 2018, 04:42:16 PM »
Hi, unfortunately we will need the scene to identify the problem. There are not similar issues reported, what i remember.

Please, send us the files and we'll check it.

Thanks,

Carlos Quintero
iToo Software

SC1490

  • Newbie
  • *
  • Posts: 2
Re: Can't open old scenes when using 6.1.1
« Reply #2 on: August 23, 2018, 09:40:59 AM »
Hi, I eventually tracked down the source of the problem to a simple piece of geometry (literally a poly box serving as a garden bed, imported from Revit originally) that had a Forestpack object applied to it. Loading the scene with 5.4.0, deleting the object, saving, installing 6.1.1 and then recreating it and re-applying the Forestpack object in 6.1.1 works fine.

I'll send the 5.4.0 scene with the original offending object when I have a bit of time.

Cheers

ML2660

  • Newbie
  • *
  • Posts: 39
Re: Can't open old scenes when using 6.1.1
« Reply #3 on: September 12, 2018, 09:59:10 PM »
I have the same problem, scenes with 5.4.1 open fine. (Max 2016)
With the latest version 6.1 I cant load old scenes.
Had to reinstall 5.4 for opening old scenes.

Cant really look into what the problem is.
Could be anything, other plug-ins,geometry etc.


iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3351
    • iToo Software
Re: Can't open old scenes when using 6.1.1
« Reply #4 on: September 13, 2018, 08:30:29 AM »
Hi, if this issue is caused by a change in FP we could not indentify it, because we have not a scene to reproduce the problem.
Please send us one of the problematic files and we'll investigate it.

Thanks,
Carlos Quintero
iToo Software

ML2660

  • Newbie
  • *
  • Posts: 39
Re: Can't open old scenes when using 6.1.1
« Reply #5 on: September 13, 2018, 09:47:47 AM »
Hi,
Will send you a scene when i have time.
I've downgraded to 5.4, but now i get a popup window, when i right click, with a macroscript error:

macroScript FP_MS_SelectAll
   ButtonText:"Select all Forest dependences"
   category:"Forest Pack"
   (
   on IsVisible return (isForestPack $)
   on Execute do
      (
      local list = #()
      append list $
      FP_AddSelectionItems list $.cobjlist
      FP_AddSelectionItems list $.arnodelist
      FP_AddSelectionItems list $.surflist
      FP_AddSelectionItems list $.distpathnodes
      FP_AddSelectionItems list $.distrefnodes
      FP_AddSelectionItems list $.distpflownodes
      FP_AddSelectionItems list $.efpainode
      if $.camera != undefined then append list $.camera
      if $.lookat != undefined then append list $.lookat
      if $.light != undefined then append list $.light
      try(select list) catch()
      )
   )

How can i disable this??

iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3351
    • iToo Software
Re: Can't open old scenes when using 6.1.1
« Reply #6 on: September 13, 2018, 10:05:34 AM »
Please try closing Max and deleting all 'iToo' and 'ForestPack' .mcr files from this folder:

C:\Users\<username>\AppData\Local\Autodesk\3dsmax\<max version>\ENU\usermacros

Then reinstall Forest in the usual way. Hopefully that should fix the error.
Carlos Quintero
iToo Software